---
title: PositionOptions.timeout
slug: Web/API/PositionOptions/timeout
tags:
  - API
  - Geolocation API
  - NeedsExample
  - PositionOptions
  - Property
  - Reference
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>PositionOptions.timeout</strong></code> property is a positive <code>long</code> value representing the maximum length of time (in milliseconds) the device is allowed to take in order to return a position. The default value is <code><a href="/en-US/docs/JavaScript/Reference/Global_Objects/Infinity">Infinity</a></code>, meaning that <code>getCurrentPosition()</code> won't return until the position is available.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>positionOptions</var>.timeout = <var>timeLength</var>
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('Geolocation', '#dom-positionoptions-timeout', 'PositionOptions.timeout')}}</td>
			<td>{{Spec2('Geolocation')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PositionOptions.timeout")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/WebAPI/Using_geolocation">Using geolocation</a></li>
	<li>The {{domxref("PositionOptions")}} interface it belongs to.</li>
</ul>
